Subject: bug#58992: 28.2; "lax space matching" no longer works

From: Robert Pluim <[email-masked]>
Date: Fri, 04 Nov 2022 14:56:36 +0100

>>>>> On Fri, 04 Nov 2022 13:45:35 +0200, Eli Zaretskii <[email-masked]> said:
    >> A character alternative can also specify named character classes
    >> (*note Char Classes::).  This is a POSIX feature.  [...]
    >> 
    >> You must not change its behavior! Making it depend on the major mode
    >> is even worse.

    Eli> Too late for such changes, sorry.  Emacs interprets [:space:] like
    Eli> that since at least Emacs 22, if not before.

Would it help if it said "This is based on a POSIX feature, but not
100% identical"?

Robert
--